"""
Implement an exception class for the Game
"""

class GameUnitError(Exception):
    """Custom exceptions class for the `AbstractGameUnit` and its subclasses"""
    def __init__(self, message=''):
        super().__init__(message)
        self.padding = '~'*50 + '\n'

        
class HealthMeterException(GameUnitError):
    """Custom execption to report Health Meter related problems"""
    def __init__(self, message=''):
        super().__init__(message)
        self.error_message = (self.padding + 
                              "ERROR: Health Meter Problem!" +
                              '\n' + self.padding)

class AttackIssueException(GameUnitError):
    """Custom execption to report Attack Issue"""
    def __init__(self, message=''):
        super().__init__(message)
        self.error_message = (self.padding + 
                              "ERROR: Attack issue! Ignored" +
                              '\n' + self.padding)
        
