'''
This module contains the common functionality
shared by all other modules.
'''

import random

def print_bold(text, end='\n'):
    """Format a text into bold face"""
    print('\033[1m' + text + '\033[0m', end=end)


def print_dotted_line(width=72):
    print('-' * width)
    

def enter_hut(idx):
    # Print the occupant info        
    print_bold('Entering hut %d...' % idx, end=' ')
        

def weighted_random_selection(obj1, obj2):
    """Randomly select between two objects baed on assigned 'weight'"""
    weighted_list = 3 * [id(obj1)] + 7 * [id(obj2)]
    selection = random.choice(weighted_list)
    
    if selection == id(obj1):
        return obj1
    
    return obj2
